<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui">

    <p:idleMonitor timeout="#{general.maximoTiempoInactividad}"
                   onidle="sessionTimeOutDialog.show();"  >

        <p:ajax event="idle" listener="#{login.logoutIdle}" /> 
        <p:dialog header="La sesión expiró" widgetVar="sessionTimeOutDialog"
                  modal="true" closable="false" appendToBody="true" resizable="false">

            <h:panelGrid columns="1">
                <h:outputText
                    value="Su sesión de trabajo expiró, para volver a ingresar a la aplicación haga click en el siguiente botón."
                    style="text-align: center" />
                <input id="regresarLogin" type="button" value="Iniciar" align="center"
                       onclick="window.location = '#{request.contextPath}/login.jsf'" />
            </h:panelGrid>
        </p:dialog>
    </p:idleMonitor>

    <p:dialog modal="true" widgetVar="statusDialog2" header="Estado"
              draggable="false" closable="false" showHeader="false"
              resizable="false" width="245"
              id="cargandoDlg2">
        <p:graphicImage value="/images/ajaxloadingbar.gif" />
    </p:dialog>

</ui:composition>